# Vorkout/connect

### Makefile cheat sheet

```Makefile
Dev:
  venv-api            create python virtual environment
  venv-client         install node modules
  install             Migrate database and initialize project

Application Api:
  start-api           Run api server

Application Client:
  start-client        Run client server

Prod:
  ...

Code:
  check-api           Check api code with ruff
  format-api          Reformat api code with ruff

Help:
  ...

Testing:
  ...
```

### Запуск в режиме разработки

Для запуска в режиме разработки нужно

1. Устрановить среду для clint и api
2. Запустить в докере или локально необходимые сервисы (базуб брокер и redis) `make services`
3. Для миграции и создания первого пользователя необходимо запустить `make install`
3. Запустить api `make start-api`
4. Запустить client `make start-client`

### Миграции алембик

1. Стоит внимательно учитывать, адрес какой базы стоит в настройках alembic - локальной или продакшн. Посмотреть это можно в файле [env.py](connect/api/api/db/alembic/env.py). Конфиг для локальной базы 
```python
config.set_main_option(
    "sqlalchemy.url",
    f"mysql+pymysql://root:hackme@localhost:3306/connect_test",
)
```
